  .chart-container {
    padding: 0;
    margin: 0;
    font-size: 0.85rem;
  }
  
  .chart-container .chart {
    width: 100%;
    height: 12vh;
    clip-path: polygon(0 100%, 100% 0, 100% 100%);
    position: relative;
  }
  
  .chart-container .chart-line {
    position: relative;
    left: calc((100% / var(--framework-size, 1)) / 2);
    width: calc(100% - (100% / var(--framework-size, 1)));
    bottom: 2px;
    border-top: 2px solid #727984;
  }

  .chart-container .chart .chart-bg {
    position: absolute;
    left: calc((100% / var(--framework-size, 1)) / 2);
    width: calc(100% - (100% / var(--framework-size, 1)));
    background: var(--color, #e5e7eb);
    height: 100%;
  }
  
  .chart-container .chart .chart-bar {
    position: absolute;
    width: calc((100% / var(--framework-size, 1)) * (var(--position, 1) - 1));
    left: calc((100% / var(--framework-size, 1)) / 2);
    background: var(--color, #311871);
    height: 100%;
  }
  
  .chart-container .chart-caption {
    width: 100%;
    position: relative;
    display: flex;
    padding-top: 0.75rem;
  }
  
  .chart-container .chart-caption.legend > div {
    color: #37444D;
  }

  .chart-container .chart-caption > div {
    width: calc(100% / var(--framework-size, 1));
    text-align: center;
    flex: 0 0 auto;
    color: #9aa1a5;
  }
  
  .chart-container .chart-caption:not(.legend) > div {
    font-size: 0.6rem;
    line-height: 0.75rem;
  }
  
  .chart-container .text-bold {
    font-family: InsignaBold;
    color: #37444d;
  }
  
  .chart-container .circle {
    border-width: 3px;
    border-radius: 9999px;
    border-color: var(--color, #e5e7eb);
    background-color: var(--bg, var(--color, #fff));
    width: calc(1rem * var(--size, 1));
    height: calc(1rem * var(--size, 1));
    display: inline-block;
  }

  .chart-container .circle.goal-marker-overlap {
    position: relative;
    border: 1px solid #fff;
    vertical-align: top;
  }

  .chart-container .circle.goal-marker-established {
    z-index: 2;
  }

  .chart-container .circle.goal-marker-finished {
    z-index: 1;
    margin-left: -0.5rem;
  }

  .chart-container .circle.skills {
    color: white;
    text-transform: uppercase;
    text-align: center;
    font-weight: bold;
    font-size: 0.5rem;
    margin-bottom: 1rem;
  }

  .chart-container .circle.skills > div {
    position: relative;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .chart-container .chart-caption .vertical-line {
    height: 1.5rem;
    width: 0.75rem;
    padding: 0;
    margin-bottom: -1.49rem;
    background-color: #37444d;
    position: relative;
    left: 38%;
    top: -1.75rem;
    clip-path: polygon(35% 100%, 60% 100%, 60% 0%, 35% 0%);
    z-index: 1;
  }
  
  .performance_parameters {
    position: relative;
    width: calc((100% - ((100% / var(--framework-size, 1)) / 2)));
    margin: 0;
    padding: 0;
  }

  .performance_parameters div {
    display: flex;
    float: left;
    justify-content: center;
    align-items: center;
    padding: 0;
    margin: 0;
    text-transform: uppercase;
    font-size: 0.6rem;
    font-family: InsignaBold;
  }

  .performance_parameters.large div:nth-child(1) {
    width: calc(((100% / var(--framework-size, 1)) * 1) + ((100% / var(--framework-size, 1)) / 2));
  }

  .performance_parameters.large div:nth-child(2) {
    width: calc(((100% / var(--framework-size, 1)) * 4) + ((100% / var(--framework-size, 1)) / 8));
  }

  .performance_parameters.large div:nth-child(3) {
    width: calc(((100% / var(--framework-size, 1)) * 4) + ((100% / var(--framework-size, 1)) / 8));
  }

  .performance_parameters.large div:nth-child(4) {
    width: calc(((100% / var(--framework-size, 1)) * 2) + ((100% / var(--framework-size, 1)) / 8));
  }

  .performance_parameters.large div:nth-child(5) {
    width: calc(((100% / var(--framework-size, 1)) * 3) + ((100% / var(--framework-size, 1)) / 8));
  }


  .performance_parameters.short {
    display: grid;
    grid-template-columns: repeat(9, minmax(0, 1fr));
    width: calc(100% - (100% / var(--framework-size, 1)));
    margin-left: calc((100% / var(--framework-size, 1)) / 2);
  }

  .performance_parameters.short div {
    float: none;
    width: auto;
  }

  .performance_parameters.short div:nth-child(1) {
    grid-column: 1 / 2;
  }

  .performance_parameters.short div:nth-child(2) {
    grid-column: 2 / 5;
  }

  .performance_parameters.short div:nth-child(3) {
    grid-column: 5 / 8;
  }

  .performance_parameters.short div:nth-child(4) {
    grid-column: 8 / 9;
  }

  .performance_parameters.short div:nth-child(5) {
    grid-column: 9 / 10;
  }

  .chart-caption.legend.arrow {
    margin-left: calc((((100% / var(--framework-size, 1)) * 0.5)));
    padding: 0;
  }

  .framework-arrow:after {
    content: "";
    display: inline-block !important;
    width: 0;
    height: 0;
    border-left: 8px solid rgba(213, 133, 0, 1);
    border-top: 6px solid transparent;
    border-bottom: 6px solid transparent;
    vertical-align: middle;
  }

  .framework-arrow:before {
    width: 80%;
    height: 2px;
    background: rgba(213, 133, 0, 1);
    content: "";
    display: inline-block;
    vertical-align: middle;
  }

  /* chart skill */
  .chart-container.chart-skills .chart-legend-skills {
    width: 25%;
    float: left;
    height: 11vh;
    position: relative;
    top: 1rem;
  }

  .chart-container.chart-skills .minimum-score {
    position: relative;
    display: inline-flex;
    left: 35%;
    top: -1rem;
    font-size: 0.75rem;
  }

  .chart-container.chart-skills .chart-legend-skills div {
    height: 1.8rem;
    padding: 0.45rem 0;
    margin: 0.2rem 0;
  }
  
  .chart-container.chart-skills .bars {
    width: 75%;
    float: left;
  }
  
  .chart-container.chart-skills .bars .lines-bar {
    top: 0;
    position: relative;
  }
  
  .chart-container.chart-skills .bars .lines-bar div {
    height: 1.8rem;
    margin: 0.2rem 0;
    padding: 0.45rem 0;
    margin-left: calc((100% / var(--framework-size, 1)) / 2);
    width: calc(((var(--size, 1)) * 10%) - ((100% / var(--framework-size, 1))));
  }

  .chart-container.chart-skills .chart-caption .vertical-line {
    left: 37%;
  }

  .chart-container.chart-skills .chart-caption.legend, .chart-container.chart-skills .chart-line {
    position: relative;
    bottom: -0.1vh;
  }

  .chart-container.chart-skills .vertical-line-full {
    background-color: #727984;
    width: 0.125rem;
    height: 9rem;
    position: absolute;
    bottom: 1.5rem;
    left: 64.75%;
    z-index: 0;
  }

  /* chart aptitude */
  .chart-container.aptitude {
    margin: 0 calc(((100% / var(--framework-size, 1)) / 2) * -1.1);
  }

  .chart-container.aptitude .chart-caption .vertical-line {
    left: 44.5%;
  }
  
  .chart-container.aptitude .chart-caption.legend div {
    font-size: 0.8em;
    margin-top: 0.1em;
    color: #aaa;
  }
  
  .chart-container.aptitude .chart-caption.primary {
    left: calc((100% / var(--framework-size, 1)) / 2);
    margin-top: -1.5em;
  }
  
  .chart-container.aptitude .chart-caption.primary div {
    font-size: 0.8em;
    color: #37444D;
  }
  
  .chart-container.aptitude .chart-caption .vertical-line {
    background-color: #727984;
    width: 0.8rem;
    height: 0.75rem;
  }
  
  .chart-container.aptitude .chart-caption.ranking {
    left: calc((100% / var(--framework-size, 1)) / 2);
    margin-bottom: -3.25rem;
    z-index: 5;
  }
  
  .chart-container.aptitude .chart-caption.ranking > div {
    width: calc(100% / var(--framework-size, 1));
    text-align: center;
    flex: 0 0 auto;
    color: #9aa1a5;
  }

  /* chart argumentation */
  .chart-container.argumentation {
    margin: 0 calc(((100% / var(--framework-size, 1)) / 2) * -1.4666);
  }
  
  .chart-container.argumentation .chart .chart-bg {
    position: absolute;
    left: calc((100% / var(--framework-size, 1)) / 2);
    width: calc(100% - (100% / var(--framework-size, 1)));
    background: var(--color, #e5e7eb);
    height: 100vh;
  }

  .chart-container.argumentation .chart-caption.ranking {
    margin-bottom: calc(var(--size, 1) * -0.975rem);
    z-index: 5;
  }

  .chart-container.argumentation .chart-caption.ranking div:first-child .circle {
    margin-left: calc((var(--size, 1)) * 1.25rem);
  }
  
  .chart-container.argumentation .chart-caption.ranking div:last-child .circle {
    margin-right: calc((var(--size, 1)) * 1.25rem);
  }

  .chart-container.argumentation .chart-caption .vertical-line {
    left: 48.5%;
    background-color: #727984;
    width: 0.8rem;
    height: 0.75rem;
  }
  
  .chart-container.argumentation .chart-caption.legend div {
    font-weight: bold;
    margin-top: 0.1em;
  }
  
  .chart-container.argumentation .chart-caption.primary div {
    font-size: 0.8rem;
    color: #37444D;
    margin-top: -0.2rem;
  }

  .chart-container.argumentation .chart-caption.legend div:first-child .label,
  .chart-container.argumentation .chart-caption.primary div:first-child .label {
    width: calc((100% / var(--framework-size, 1)));
    text-align: left;
    position: relative;
    margin-left: calc((100% / var(--framework-size, 1)) * 1.5);
  }

  .chart-container.argumentation .chart-caption.legend div:last-child .label,
  .chart-container.argumentation .chart-caption.primary div:last-child .label {
    width: calc((100% / var(--framework-size, 1)));
    text-align: right;
    position: relative;
    margin-left: calc((100% / var(--framework-size, 1)) / 2);
  }
  
  @media (max-width: 639px) {
    .chart-container {
      font-size: 0.55rem;
    }

    .chart-container .chart {
      height: 6.5vh;
    }

    .chart-container .chart-caption .vertical-line {
      height: 1rem;
      width: 0.5rem;
      margin-bottom: -1rem;
      top: -0.75rem;
    }

    .chart-container .chart-caption {
      padding-top: 0.1rem;
    }

    .chart-container .chart-caption.legend, .performance_parameters div {
      font-size: 0.45rem;
    }

    .chart-container .circle.skills {
      width: calc(0.75rem * var(--size, 1));
      height: calc(0.75rem * var(--size, 1));
    }

    .framework-arrow:before {
      width: 60%;
    }
  }
  

  @media (min-width: 640px) {
    .chart-container {
      font-size: 0.65rem;
      line-height: 0.75rem;
    }

    .chart-container .chart {
      height: 10vh;
    }

    .chart-container .chart-caption .vertical-line {
      height: 1rem;
      width: 0.5rem;
      margin-bottom: -1rem;
      top: -1.3rem;
    }

    .chart-container .circle.skills {
      width: calc(0.75rem * var(--size, 1));
      height: calc(0.75rem * var(--size, 1));
      font-size: 0.8em;
    }
  
    .chart-container.aptitude .chart-caption.ranking {
      margin-bottom: -3.75rem;
    }

    .framework-arrow:before {
      width: 78%;
    }
  }
  
  @media (min-width: 768px) {
    .chart-container {
      font-size: 0.5rem;
      line-height: 0.75rem;
    }

    .chart-container .chart {
      height: 8vh;
    }

    .chart-container .chart-caption .vertical-line {
      height: 1rem;
      width: 0.5rem;
      margin-bottom: -1rem;
      top: -1.25rem;
    }

    .chart-container .chart-caption {
      padding-top: 0.5rem;
    }

    .chart-container .circle {
      width: calc(0.7rem * var(--size, 1));
      height: calc(0.7rem * var(--size, 1));
      font-size: 0.75em;
    }

    .chart-container .circle.skills {
      width: calc(0.5rem * var(--size, 1));
      height: calc(0.5rem * var(--size, 1));
      font-size: 0.5em;
    }

    .chart-container .circle.skills div {
      color:white;
    }

    .chart-container.aptitude .chart-caption .vertical-line {
      left: 40%;
    }
  
    .chart-container.aptitude .chart-caption.ranking {
      margin-bottom: -3rem;
    }

    .framework-arrow:before {
      width: 69.99%;
    }
  }
  
  @media (min-width: 1024px) {
    .chart-container {
      font-size: 0.7rem;
      line-height: 0.85rem;
    }

    .chart-container .chart {
      height: 8vh;
    }

    .performance_parameters div {
      font-size: 0.7rem;
    }

    .chart-container .circle.skills {
      width: calc(0.7rem * var(--size, 1));
      height: calc(0.7rem * var(--size, 1));
      font-size: 0.7em;
    }

    .chart-container.aptitude .chart-caption .vertical-line {
      left: 44%;
    }
  
    .chart-container.aptitude .chart-caption.ranking {
      margin-bottom: -4.5rem;
    }
  }
  
  @media (min-width: 1280px) {
    .chart-container {
      font-size: 0.85rem;
      line-height: 0.85rem;
    }

    .chart-container .chart-caption .vertical-line {
      left: 43%;
    }

    .chart-container .circle {
      width: calc(0.85rem * var(--size, 1));
      height: calc(0.85rem * var(--size, 1));
      font-size: 0.85em;
    }

    .chart-container .circle.skills {
      width: calc(0.8rem * var(--size, 1));
      height: calc(0.8rem * var(--size, 1));
      font-size: 0.75em;
    }

    .chart-container.aptitude .chart-caption.ranking {
      margin-bottom: -3.25rem;
    }

    .chart-container.aptitude .chart-caption .vertical-line {
      left: 45%;
    }
  }
  
  @media (min-width: 1536px) {
    .chart-container {
      font-size: 1rem;
      line-height: 1.2rem;
    }

    .chart-container .chart-caption .vertical-line {
      height: 1.5rem;
      width: 0.75rem;
      margin-bottom: -1.5rem;
      top: -1.5rem;
    }

    .chart-container .chart-caption {
      padding-top: 0.5rem;
    }

    .performance_parameters div {
      font-size: 0.75rem;
    }

    .chart-container.aptitude .chart-caption .vertical-line {
      left: 46.5%;
    }
  }
